  CustomAppTextField(
    controller: _firstNameController,
    labelText: 'Prénom',
    hintText: 'Facultatif si à naître',
    isRequired: !widget.childData.isUnbornChild,
  ),
  const SizedBox(height: 6.0),
  CustomAppTextField(
    controller: _lastNameController,
    labelText: 'Nom',
    hintText: 'Nom de l\'enfant',
    enabled: true,
  ),
  const SizedBox(height: 9.0),
  CustomAppTextField(
    controller: _dobController,
    labelText: widget.childData.isUnbornChild ? 'Date prévisionnelle de naissance' : 'Date de naissance',
    hintText: 'JJ/MM/AAAA',
    readOnly: true,
    onTap: widget.onDateSelect,
    suffixIcon: Icons.calendar_today,
  ), 